aboutsummaryrefslogtreecommitdiff
path: root/chinese/ttfm/files/patch-ttfm.sh
diff options
context:
space:
mode:
authorYen-Ming Lee <leeym@FreeBSD.org>2005-02-19 13:51:50 +0000
committerYen-Ming Lee <leeym@FreeBSD.org>2005-02-19 13:51:50 +0000
commitaadd0f3a5f2ad007d555aacb1928190b7589aaaf (patch)
tree104a3c7a9e42ff9be3b7e0939521876cfb8f9126 /chinese/ttfm/files/patch-ttfm.sh
parentdb1ca4d8d20ce4e16ed1c65f240f10e76fc1ab9c (diff)
downloadports-aadd0f3a5f2ad007d555aacb1928190b7589aaaf.tar.gz
ports-aadd0f3a5f2ad007d555aacb1928190b7589aaaf.zip
- add chinese/Makefile.ttf to control install/deinstall process of all
TrueType fonts in chinese/*ttf - update related Makefile(s) and remove pkg-{install,pkg-deinstall,pkg-plist} - relocate non-font files to DATADIR or DOCSDIR - fix "unable to reomve fonts from gscjk" problem in ttfm.sh and gscjk.ttfm - update chinese/zh-fireflyttf to 1.2.6 [1] PR: [1] 77438 Submitted by: leeym Approved by: statue at freebsd.sinica.edu.tw
Notes
Notes: svn path=/head/; revision=129283
Diffstat (limited to 'chinese/ttfm/files/patch-ttfm.sh')
-rw-r--r--chinese/ttfm/files/patch-ttfm.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/chinese/ttfm/files/patch-ttfm.sh b/chinese/ttfm/files/patch-ttfm.sh
new file mode 100644
index 000000000000..cf6e19780eab
--- /dev/null
+++ b/chinese/ttfm/files/patch-ttfm.sh
@@ -0,0 +1,11 @@
+--- ttfm.sh.orig Wed Jan 31 17:34:46 2001
++++ ttfm.sh Sat Feb 19 09:14:56 2005
+@@ -258,7 +258,7 @@
+ # Call script with --remove
+ for i in "$INSTALLSCRIPT"; do
+ if [ -x "$i" ] ; then
+- $i --remove "$FONTFILENAME" || {
++ $i --remove "${DefaultFontPath}/$FONTFILENAME" || {
+ echo "Error in running $i to remove $DefaultFontPath/$FONTFILENAME." > /dev/stderr
+ }
+ else